Skip to main content
GET
/
sub-accounts
/
all
cURL
curl --request GET \
  --url https://api.bolna.ai/sub-accounts/all \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "alpha-007",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_key": "sa-b33f4fbf011d4661a273a46b11d185f8",
    "multi_tenant": false,
    "allow_concurrent_calls": 10
  }
]

Documentation Index

Fetch the complete documentation index at: https://www.bolna.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

This is an enterprise feature.You can read more about our enterprise offering here Bolna enterprise.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of all sub-accounts

id
string<uuid>

Unique id for the associated sub-account

name
string

Name of the sub-account

Example:

"alpha-007"

organization_id
string<uuid>

Organization ID the sub-account belongs to

api_key
string

Sub-account API Key used to interact with sub-account resources like agents, executions, batches, etc.

Pattern: ^sa-[a-f0-9]{32}$
Example:

"sa-b33f4fbf011d4661a273a46b11d185f8"

multi_tenant
boolean

Whether the sub-account is being stored in a separate database

Example:

false

allow_concurrent_calls
integer

The number of concurrent calls that can be made with the sub-account

Example:

10